##
# $Id: meterpreter_x86_linux.rb 10605 2010-10-08 19:36:34Z jduck $
##

require 'msf/base/sessions/meterpreter'

module Msf
module Sessions

###
#
# This class creates a platform-specific meterpreter session type
#
###
class Meterpreter_x86_Linux < Msf::Sessions::Meterpreter
	def initialize(rstream, opts={})
		super
		self.platform      = 'x86/linux'
		self.binary_suffix = 'lso'
	end
end

end
end

